# $Revision: 1.25 $, $Date: 2006/05/31 12:54:38 $
%define		ocaml_ver	1:3.09.2
Summary:	OpenGL binding for OCaml
Summary(pl):	Wizania OpenGL dla OCamla
Name:		ocaml-lablgl
Version:	1.02
Release:	4
License:	BSD
Group:		Libraries
Source0:	http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgl-%{version}.tar.gz
# Source0-md5:	b50e4e7d856c26bc4449151e4307b37b
URL:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	glut-devel >= 3.7
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-labltk-devel
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LablGL is an OpenGL interface for Objective Caml. All of the GL and
GLU libraries are available.

This package contains files needed to run bytecode executables using
this library.

%description -l pl
LablGL umoliwia uywanie OpenGL w OCamlu. Dostpne s wszystkie
biblioteki GL i GLU.

Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych tej biblioteki.

%package devel
Summary:	OpenGL binding for OCaml - development part
Summary(pl):	Wizania OpenGL dla OCamla - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
LablGL is an OpenGL interface for Objective Caml. All of the GL and
GLU libraries are available.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
LablGL umoliwia uywanie OpenGL w OCamlu. Dostpne s wszystkie
biblioteki GL i GLU.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%package togl
Summary:	Tk widget for lablGL
Summary(pl):	Widget Tk dla lablGL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml-runtime
%requires_eq	ocaml-labltk

%description togl
Togl Tk widget for lablGL, to be used with labltk.

This package contains files needed to run bytecode executables using
this library.

%description togl -l pl
Widget Togl uywajcy Tk dla lablGL. Moe by on uywany wraz z
labltk.

Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych tej biblioteki.

%package togl-devel
Summary:	Tk widget for lablGL - development part
Summary(pl):	Widget Tk dla lablGL - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml
%requires_eq	ocaml-labltk-devel

%description togl-devel
Togl Tk widget for lablGL, to be used with labltk.

This package contains files needed to develop OCaml programs using
this library.

%description togl-devel -l pl
Widget Togl uywajcy Tk dla lablGL. Moe by on uywany wraz z
labltk.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%package glut
Summary:	GLUT binding for OCaml
Summary(pl):	Wizanie OCamla dla biblioteki GLUT
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml-runtime

%description glut
The lablglut library is an OCaml binding for GLUT version 3.7. GLUT
(GL Utility Toolkit) is a portable windowing library for OpenGL,
written by Mark Kilgard.

%description glut -l pl
Biblioteka lablglut to wizanie OCamla dla biblioteki GLUT w wersji
3.7. GLUT (czyli GL Utility Toolkit) to przenona biblioteka okienkowa
dla OpenGL-a, napisana przez Marka Kilgarda.

%package glut-devel
Summary:	GLUT binding for OCaml - development part
Summary(pl):	Wizanie OCamla dla biblioteki GLUT - cz programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description glut-devel
This package contains development files for GLUT binding for OCaml.

%description glut-devel -l pl
Ten pakiet zawiera pliki programistyczne wizania OCamla dla
biblioteki GLUT.

%package toplevel
Summary:	OpenGL binding for OCaml - interactive system
Summary(pl):	Wizania OpenGL dla OCamla - system interaktywny
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description toplevel
LablGL is an OpenGL interface for Objective Caml. All of the GL and
GLU libraries are available.

This package contains OCaml toplevel interactive system linked with
lablgl.

%description toplevel -l pl
LablGL umoliwia uywanie OpenGL w OCamlu. Dostpne s wszystkie
biblioteki GL i GLU.

Pakiet ten zawiera system interaktywny OCamla skonsolidowany z lablgl.

%prep
%setup -q -n lablgl-%{version}

%build
sed -e 's|^TKINCLUDES|#&|;
	s|^GLLIBS.*|GLLIBS = -L%{_prefix}/X11R6/%{_lib} -lGL -lGLU -lXmu|;
	s|^COPTS.*|COPTS = %{rpmcflags} -c -fPIC|;' \
	Makefile.config.ex > Makefile.config
%{__make} -j1 all opt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/ocaml/{stublibs,site-lib/{lablgl,togl}}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/{LablGlut,Togl}

%{__make} install \
	INSTALLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/lablGL \
	DLLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	BINDIR=$RPM_BUILD_ROOT%{_bindir}

mv -f $RPM_BUILD_ROOT%{_libdir}/ocaml/lablGL/*.mli .

cp -r LablGlut/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/LablGlut
cp -r Togl/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Togl

cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/lablgl/META <<EOF
# Specifications for the "lablgl" library:
requires = ""
version = "%{version}"
directory = "+lablGL"
archive(byte) = "lablgl.cma"
archive(native) = "lablgl.cmxa"
linkopts = ""
EOF

cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/togl/META <<EOF
# Specifications for the "togl" library:
requires = "lablgl"
version = "%{version}"
directory = "+lablGL"
archive(byte) = "togl.cma"
archive(native) = "togl.cmxa"
linkopts = ""
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT CHANGES README
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablgl.so

%files devel
%defattr(644,root,root,755)
%doc *.mli
%dir %{_libdir}/ocaml/lablGL
%{_libdir}/ocaml/lablGL/gl*
%{_libdir}/ocaml/lablGL/lablgl.*
%{_libdir}/ocaml/lablGL/liblablgl.a
%{_libdir}/ocaml/lablGL/raw.*
%{_libdir}/ocaml/site-lib/lablgl
%{_examplesdir}/%{name}-%{version}

%files glut
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlllablglut.so

%files glut-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/lablGL/lablglut.*
%{_libdir}/ocaml/lablGL/liblablglut.a

%files togl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dlltogl.so

%files togl-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/lablGL/togl.*
%{_libdir}/ocaml/lablGL/libtogl.a
%{_libdir}/ocaml/site-lib/togl

%files toplevel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-lablgl.spec,v $
Revision 1.25  2006/05/31 12:54:38  glen
- rel 4 (rebuild with ocaml-3.09.2)

Revision 1.24  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.23  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.22  2005/12/09 17:23:41  baggins
- removed not existing files

Revision 1.21  2005/12/09 17:21:09  baggins
- up to 1.02

Revision 1.20  2005/08/26 14:37:43  paszczus
- added -j1 option to make cause it fails with multiprocesor build

Revision 1.19  2005/08/26 14:32:56  paszczus
- rel up for rebuild with ocaml 3.08.4

Revision 1.18  2005/03/17 08:36:09  paszczus
- release up for rebuild with ocaml

Revision 1.17  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.16  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.15  2004/08/25 21:57:38  grzegol
- updated to 1.01

Revision 1.14  2004/05/07 14:58:43  qboosh
- updated to 1.00, added packages with glut bindings

Revision 1.13  2003/11/02 20:08:41  ciesiel
- retired BR :)

Revision 1.12  2003/11/02 19:47:40  ciesiel
- correction BR

Revision 1.11  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.10  2003/09/03 22:36:53  malekith
- release 2 for ocaml 3.07

Revision 1.9  2003/06/30 09:43:06  malekith
- include *.mli files as documentation; don't gzip 'em

Revision 1.8  2003/06/29 15:33:50  blues
- some cosmetics fixes and simplifications

Revision 1.7  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:51:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/03 20:59:02  malekith
- up to 0.99

Revision 1.4  2003/05/02 14:28:05  adamg
- added missing BR: ocaml-camlp4

Revision 1.3  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.2  2002/05/13 13:17:29  qboosh
- typo

Revision 1.1  2002/05/13 11:21:29  malekith
- initial; from scratch
